- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoCrowdingDiversityAssignment< MOEOT > Class Template Reference

Diversity assignment sheme based on crowding proposed in: K. More...

`#include <moeoCrowdingDiversityAssignment.h>`

Inheritance diagram for moeoCrowdingDiversityAssignment< MOEOT >:

List of all members.

## Public Types
typedef MOEOT::ObjectiveVector | ObjectiveVector
| the objective vector type of the solutions
## Public Member Functions
double | inf () const
| Returns a big value (regarded as infinite).
double | tiny () const
| Returns a very small value that can be used to avoid extreme cases (where the min bound == the max bound).
void | operator() (eoPop< MOEOT > &_pop)
| Computes diversity values for every solution contained in the population _pop.
void | updateByDeleting (eoPop< MOEOT > &_pop, ObjectiveVector &_objVec)
## Protected Member Functions
virtual void | setDistances (eoPop< MOEOT > &_pop)
| Sets the distance values.

## Detailed Description

### template<class MOEOT>
class moeoCrowdingDiversityAssignment< MOEOT >

Diversity assignment sheme based on crowding proposed in: K.

Deb, A. Pratap, S. Agarwal, T. Meyarivan, "A Fast and Elitist Multi-Objective Genetic Algorithm: NSGA-II", IEEE Transactions on Evolutionary Computation, vol. 6, no. 2 (2002).

Definition at line 25 of file moeoCrowdingDiversityAssignment.h.

## Member Function Documentation

template<class MOEOT>

void moeoCrowdingDiversityAssignment< MOEOT >::operator() | ( | eoPop< MOEOT > & | _pop | ) | `[inline, virtual]`

Computes diversity values for every solution contained in the population _pop.

Parameters:

  | _pop | the population

Implements eoUF< eoPop< MOEOT > &, void >.

Definition at line 55 of file moeoCrowdingDiversityAssignment.h.

References moeoCrowdingDiversityAssignment< MOEOT >::inf(), and moeoCrowdingDiversityAssignment< MOEOT >::setDistances().

template<class MOEOT>

void moeoCrowdingDiversityAssignment< MOEOT >::updateByDeleting | ( | eoPop< MOEOT > & | _pop,
|  | ObjectiveVector & | _objVec |
| ) |  |  | `[inline, virtual]`

Warning:
  NOT IMPLEMENTED, DO NOTHING ! Updates the diversity values of the whole population _pop by taking the deletion of the objective vector _objVec into account.

Parameters:

  | _pop | the population
  | _objVec | the objective vector

Warning:
  NOT IMPLEMENTED, DO NOTHING !

Implements moeoDiversityAssignment< MOEOT >.

Reimplemented in moeoFrontByFrontCrowdingDiversityAssignment< MOEOT >.

Definition at line 78 of file moeoCrowdingDiversityAssignment.h.

template<class MOEOT>

virtual void moeoCrowdingDiversityAssignment< MOEOT >::setDistances | ( | eoPop< MOEOT > & | _pop | ) | `[inline, protected, virtual]`

Sets the distance values.

Parameters:

  | _pop | the population

Reimplemented in moeoFrontByFrontCrowdingDiversityAssignment< MOEOT >.

Definition at line 90 of file moeoCrowdingDiversityAssignment.h.

References moeoCrowdingDiversityAssignment< MOEOT >::inf().

Referenced by moeoCrowdingDiversityAssignment< MOEOT >::operator()().

The documentation for this class was generated from the following file:

- moeoCrowdingDiversityAssignment.h